/* COMMAND.H
 * header file for the modules in COMMAND.COM
 * Tim Norman
 * 7-15-95
*/

#define EnvSeg (*(unsigned far*)MK_FP(_psp, 0x2c))
#define OwnerPSP (*(unsigned far *)MK_FP(_psp, 0x16))

/* prototypes for COMMAND.C */
void fatal_error (char *);
char is_delim (char);
int strip (char *);
unsigned char split (char *, char *[128]);
char is_special (char);
void parsecommandline (char *);
int c_brk (void);
void initialize (int, char *[]);
int process_input (void);

/* prototypes for INTERNAL.C */
void dir(int, char *[128], char *);
void cd(int, char *[128], char *);
void md(int, char *[128], char *);
void rd(int, char *[128], char *);
void set(int, char *[128], char *);
void ver(int, char *[128], char *);
void del(int, char *[128], char *);
void ren(int, char *[128], char *);
void internal_exit(int, char *[128], char *);
void rem(int, char *[128], char *);
void doskey(int, char *[128], char *);
void prompt(int, char *[128], char *);

/* prototypes for ENVIRON.C */
void show_environment (void);

/* prototypes from PROMPT.C */
void printprompt (void);

/* prototypes for CMDINPUT.C */
void readcommand (char *, int);

/* prototypes for BATCH.C */
int batch(char *, int, char**);
int _getch(void);

/* prototypes for WHERE.C */
void get_paths (char *[129]);
int find_which (char *[129], char *, char *);

/* prototypes for EXEC.C */
int exec (const char *, char *, const unsigned);

/* prototypes for REDIR.C */
void get_redirection (char *, char *, char *, char *[128], int *);

/* prototypes for LOADHIGH.C */
void loadhigh (int, char *[128], char *);
void loadfix (int, char *[128], char *);
